﻿using System;
using System.Runtime.InteropServices;

namespace TestProject
{
    /// <summary>
    /// 작업 객체 CPU 사용률 제어 정보
    /// </summary>
    [StructLayout(LayoutKind.Explicit)]
    public struct JOBOBJECT_CPU_RATE_CONTROL_INFORMATION
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 컨트롤 플래그
        /// </summary>
        [FieldOffset(0)]
        public UInt32 ControlFlag;

        /// <summary>
        /// CPU 사용률
        /// </summary>
        [FieldOffset(4)]
        public UInt32 CPURate;

        /// <summary>
        /// 가중치
        /// </summary>
        [FieldOffset(4)]
        public UInt32 Weight;

        #endregion
    }
}