﻿using System;

namespace TestProject
{
    /// <summary>
    /// 보안 어트리뷰트
    /// </summary>
    public class SecurityAttribute
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 길이
        /// </summary>
        public int Length;

        /// <summary>
        /// 보안 설명자
        /// </summary>
        public IntPtr SecurityDescriptor;

        /// <summary>
        /// 상속 핸들
        /// </summary>
        public bool InheritHandle;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - SecurityAttribute()

        /// <summary>
        /// 생성자
        /// </summary>
        public SecurityAttribute()
        {
            Length             = 0;
            SecurityDescriptor = IntPtr.Zero;
            InheritHandle      = true;
        }

        #endregion
    }
}